package com.ym.mec.collectfee.service.impl;

import com.ym.mec.collectfee.common.dao.BaseDAO;
import com.ym.mec.collectfee.common.service.impl.BaseServiceImpl;
import com.ym.mec.collectfee.dao.BranchDao;
import com.ym.mec.collectfee.dao.PayStatisDao;
import com.ym.mec.collectfee.entity.Branch;
import com.ym.mec.collectfee.entity.PayStatis;
import com.ym.mec.collectfee.service.BranchService;
import com.ym.mec.collectfee.service.PayStatisService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

@Service
public class PayStatisServiceImpl extends BaseServiceImpl<Integer, PayStatis> implements PayStatisService {

    @Autowired
    private PayStatisDao payStatisDao;

    @Override
    public BaseDAO<Integer, PayStatis> getDAO() {
        return payStatisDao;
    }

    @Override
    public Long addStatis(Integer userId, Integer branchId, Integer classId, String poName, Integer status) {
        if (!status.equals(1)) {
            return null;
        }
        PayStatis payStatis = new PayStatis();
        payStatis.setUserId(userId);
        payStatis.setBranchId(branchId);
        payStatis.setClassId(classId);
        payStatis.setPoName(poName);
        payStatis.setCreateTime(new Date());
        return payStatisDao.insert(payStatis);
    }
}